VirtualBox

Ticket #8940 (reopened enhancement)

Opened 4 years ago

Last modified 14 months ago

Use launchd daemon (or launchd agent) instead of deprecated StartupItem for VirtualBox on MacOSX => Fixed in SVN

Reported by: sierkb Owned by:
Priority: major Component: installer
Version: VirtualBox 4.0.8 Keywords:
Cc: Guest type: other
Host type: Mac OS X

Description (last modified by frank) (diff)

VirtualBox on MacOSX uses Startup Items (/Library/StartupItems/) and places files in /Library/StartupItems/VirtualBox .

Startup Items are deprecated since MacOSX 10.4 (and only recommended/allowed for legacy use) in favor of launchd daemons -- even more on MacOSX 10.5 and 10.6 and the forthcoming MacOSX 10.7.

See:

Apple Developer: MacOSX Reference Library: Technical Note TN2083: Daemons and Agents  http://developer.apple.com/library/mac/#technotes/tn2005/tn2083.html

Section "Old Systems and Technology" -> Deprecated Daemonomicon  http://developer.apple.com/library/mac/#technotes/tn2005/tn2083.html#SECOLDDAEMONOMICON

Suggested fix: Don't use a startup item placed in the (deprecated) directory /Library/StartupItems/ .

Instead, use a launchd daemon with a Property List placed in /Library/LaunchDaemons/ or a launchd agent with a Property List placed in /Library/LaunchAgents . For details and differences, see  http://developer.apple.com/library/mac/technotes/tn2083/_index.html#//apple_ref/doc/uid/DTS10003794-CH1-SECTION2

 http://developer.apple.com/library/mac/technotes/tn2083/_index.html#//apple_ref/doc/uid/DTS10003794-CH1-SUBSECTION2

 http://developer.apple.com/library/mac/technotes/tn2083/_index.html#//apple_ref/doc/uid/DTS10003794-CH1-SUBSECTION3

Also see in the same document, section "Daemons"  http://developer.apple.com/library/mac/#technotes/tn2005/tn2083.html#SECDAEMONS

Apple Developer: MacOSX Reference Library: System Startup Programming Topics  http://developer.apple.com/documentation/MacOSX/Conceptual/BPSystemStartup/index.html

With major changes apparently coming for Mac OS X 10.7, this relatively simple fix should be given priority.

Attachments

VirtualBoxVM_2014-05-06-144030_Konrads-MBP-Netcentric.crash Download (39.7 KB) - added by konrad 15 months ago.
Crash during start of 4.3.10
VirtualBoxVM_2014-05-06-142406_Konrads-MBP-Netcentric.crash Download (40.0 KB) - added by konrad 15 months ago.
Another crash of 4.3.10 during start
VBoxSVC.log Download (5.2 KB) - added by konrad 14 months ago.
VirtualBoxVM_2014-05-23-162616_Konrads-MBP-Netcentric.crash Download (39.7 KB) - added by konrad 14 months ago.
New Crash of VirtualBox 4.3.12
VirtualBoxStartup.sh Download (7.7 KB) - added by galitsyn 14 months ago.
Instrumented startup script
VirtualBoxStartup-instrumented2.sh Download (7.8 KB) - added by galitsyn 14 months ago.
Extra instrumentation for startup script.
system.log Download (146.0 KB) - added by konrad 14 months ago.

Change History

comment:1 Changed 4 years ago by sierkb

Any progress in this issue?

comment:2 Changed 4 years ago by sierkb

Any progress in this issue? Any estimated time of being fixed in the foreseeable future?

comment:3 Changed 3 years ago by rasur

+1 to this issue.

The problem I face because of this is that I want to run a headless VM (using VBoxheadless) and this fails since the headless vm is started by launchd which requires (but cannot specify any dependencies on) the VB kexts to be loaded.

The VBox kexts are loaded after the vboxheadless startup has already failed.

comment:4 Changed 2 years ago by Keri Henare

StartupItems no longer exist in Mac OS 10.9 Mavericks. StartupItems was deprecated 8 years ago. Host-only adapters (and possibly other functionality) cannot be used in Mac OS 10.9.

Temporary work around: sudo /Library/StartupItems/VirtualBox/VirtualBox start (Must be run after each restart)

comment:5 Changed 2 years ago by frank

  • Description modified (diff)

Thank you for this information!

comment:6 Changed 23 months ago by klaus

For some reason (just as a data point, not as a justification to delay the switching much further) it seems that (limited) support for StartupItems was visible in the latest DPs, but it is failing in strange ways.

comment:7 Changed 22 months ago by ouster

On Mavericks the above method does not work for me, however reinstalling Virtual Box on every reboot does. I consider this a major problem with Virtual Box on OS X Mavericks and should be given high priority.

comment:8 Changed 22 months ago by Keri Henare

Before you can sudo /Library/StartupItems/VirtualBox/VirtualBox start you have to sudo /Library/StartupItems/VirtualBox/VirtualBox stop as it will have been partially started on restart.

comment:9 Changed 22 months ago by frank

  • Summary changed from Use launchd daemon (or launchd agent) instead of deprecated StartupItem for VirtualBox on MacOSX to Use launchd daemon (or launchd agent) instead of deprecated StartupItem for VirtualBox on MacOSX => Fixed in SVN

Will be finally fixed in the next major release.

comment:10 Changed 22 months ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Fixed in VBox 4.3.

comment:11 follow-up: ↓ 13 Changed 21 months ago by ion

The problem still appears with VirtualBox 4.3 on Mavericks (10.9), official release. Reinstalling VirtualBox 4.3 after each reboot solves the problem.

I took the following steps:

  • I was using 4.2.18 before upgraded Mavericks, on Mountain Lion (10.8)
  • I upgraded to Mavericks, I noticed the issue
  • Found out that a 4.3 version of VirtualBox existed, installed it
  • problem fixed
  • after the first reboot, the problem appeared again
  • reinstalling VirtualBox fixes the issue (the VMs can be started) until the next reboot

comment:12 Changed 21 months ago by tlcarpenter

I installed Mavericks as a guest on a Mavericks host running VB 4.3. During the first boot of the guest, the out-of-box routine kept looping if I tried to manually configure the network settings so I eventually answered 'this computer doesn't connect to a network' (or similar wording). Once I was logged in to the guest, opening OS X's "System Preferences | Network" showed no Ethernet interfaces (nor could I add any by clicking "+"). I think I tried changing the VB guest's "Settings | Network | Adapter 1 | Attached to:" to "NAT" and started the guest but I still saw no Ethernet interfaces in OS X's "System Preferences | Network" nor could I add any, so I shut down the guest. To cut to the chase, I found this project

 https://github.com/pmj/virtio-net-osx

downloaded Virtio-net Driver 0.9.2.pkg to my Mavericks host from

 https://github.com/pmj/virtio-net-osx/blob/master/bin/Virtio-net%20Driver%200.9.2.pkg

and copied the .pkg file to and external USB drive. Then I started the Mavericks guest, copied the .pkg file to the guest from the external USB drive, installed the .pkg file, and manually configured the network settings. I shut down the guest and changed "Adapter 1 | Attached to: " to "Bridged Adapter" and "Adapter 1 | Adapter Type:" to "Paravirtualized Network (virtio-net)", restarted the guest, and now have a functional connection. These notes are taken from memory after spending a number of hours trying to install Mavericks as a fresh install on a new VM - wish I could say with absolute certainty that the sequence of events was exactly as written but it's the best I can do.

comment:13 in reply to: ↑ 11 ; follow-up: ↓ 14 Changed 21 months ago by rwstandridge

I had the same problem. Would work on first install but would fail after reboot. Re-installing made it work again.

I think the upgrade installer just has a bug. I read:

 http://jarneil.wordpress.com/2013/10/24/vritualbox-4-30-on-os-x-10-9-mavericks/

Long story short:

(1) sudo rm -rf /Library/Extensions/VBox*

(2) re-install vbox 4.3.0

Replying to ion:

The problem still appears with VirtualBox 4.3 on Mavericks (10.9), official release. Reinstalling VirtualBox 4.3 after each reboot solves the problem.

I took the following steps:

  • I was using 4.2.18 before upgraded Mavericks, on Mountain Lion (10.8)
  • I upgraded to Mavericks, I noticed the issue
  • Found out that a 4.3 version of VirtualBox existed, installed it
  • problem fixed
  • after the first reboot, the problem appeared again
  • reinstalling VirtualBox fixes the issue (the VMs can be started) until the next reboot
Last edited 21 months ago by rwstandridge (previous) (diff)

comment:14 in reply to: ↑ 13 Changed 21 months ago by ion

Confirmed the workaround suggested by rwstandridge. I'm reopening the ticket in order to draw the attention to the installer issue that leaves the old version of the driver in /Library/Extensions, apparently causing the issue.

Apologies if reopening it is the incorrect course of action for this matter.

Replying to rwstandridge:

I had the same problem. Would work on first install but would fail after reboot. Re-installing made it work again.

I think the upgrade installer just has a bug. I read:

 http://jarneil.wordpress.com/2013/10/24/vritualbox-4-30-on-os-x-10-9-mavericks/

Long story short:

(1) sudo rm -rf /Library/Extensions/VBox*

(2) re-install vbox 4.3.0

Replying to ion:

The problem still appears with VirtualBox 4.3 on Mavericks (10.9), official release. Reinstalling VirtualBox 4.3 after each reboot solves the problem.

I took the following steps:

  • I was using 4.2.18 before upgraded Mavericks, on Mountain Lion (10.8)
  • I upgraded to Mavericks, I noticed the issue
  • Found out that a 4.3 version of VirtualBox existed, installed it
  • problem fixed
  • after the first reboot, the problem appeared again
  • reinstalling VirtualBox fixes the issue (the VMs can be started) until the next reboot

comment:15 Changed 21 months ago by ion

  • Status changed from closed to reopened
  • Resolution fixed deleted

Reopened the ticket to draw the attention to an apparent installer problem that leaves an old version of the driver in place, causing the same problem to appear, after upgrading from 4.2.18 to 4.3. Apologies if reopening it is the incorrect course of action for this matter.

Last edited 21 months ago by ion (previous) (diff)

comment:16 follow-up: ↓ 17 Changed 21 months ago by dj

I can confirm that this workaround also worked for me:

1) sudo rm -rf /Library/Extensions/VBox* 2) re-install VirtualBox 4.3

ion above suggested needing to re-install after each reboot, but I have not found that to be necessary.

Version 0, edited 21 months ago by dj (next)

comment:17 in reply to: ↑ 16 Changed 21 months ago by ion

Just to make things clear: reinstall after reboot was needed *before* removing the old, 4.2.18, extensions ("sudo rm -rf /Library/Extensions/VBox*"). After removal, everything worked fine.

Replying to dj:

I can confirm that this workaround also worked for me:

1) sudo rm -rf /Library/Extensions/VBox*

2) re-install VirtualBox 4.3

ion above suggested needing to re-install after each reboot, but I have not found that to be necessary.

comment:18 follow-up: ↓ 19 Changed 21 months ago by frank

  • Status changed from reopened to closed
  • Resolution set to fixed

The problem with the installer leaving the old kernel extensions at the old place was fixed in 4.3.2. Closing.

comment:19 in reply to: ↑ 18 Changed 21 months ago by rwstandridge

Thanks! I hope I was some small help!

Replying to frank:

The problem with the installer leaving the old kernel extensions at the old place was fixed in 4.3.2. Closing.

comment:20 Changed 21 months ago by johnross.j.c

  • Status changed from closed to reopened
  • Resolution fixed deleted

Hi,

Even after doing the following:

1) sudo rm -rf /Library/Extensions/VBox*

2) re-install VirtualBox 4.3

Plus running the following:

sudo launchctl load /Library/LaunchDaemons/org.virtualbox.startup.plist

I still got errors:

Command: ["hostonlyif", "create"]

Failed to create the host-only network interface. VBoxNetAdpCtl: Error while adding new interface: failed to open /dev/vboxnetctl: No such file or directory

(Same case even adding manually through UI)

VirtualBox 4.3.2 vagrant-berkshelf (1.3.4) vagrant-cachier (0.5.0) vagrant-omnibus (1.1.2) Vagrant 1.3.5 Berkshelf (2.0.10) OS X 10.9 (Mavericks)

Thanks.

comment:21 Changed 21 months ago by galitsyn

Could you please attach kextstat output and /var/log/system.log file?

Also, could you please check if running sudo /Library/Application\ Support/VirtualBox/LaunchDaemons/VirtualBoxStartup.sh restart resolves the issue for you?

comment:22 Changed 21 months ago by johnross.j.c

Index Refs Address            Size       Wired      Name (Version) <Linked Against>[[BR]]
    1   83 0xffffff80df4c1000 0x8d80     0x8d80     com.apple.kpi.bsd (13.0.0)[[BR]]
    2    6 0xffffff80df4ca000 0x28c0     0x28c0     com.apple.kpi.dsep (13.0.0)[[BR]]
    3  108 0xffffff80df504000 0x1dfb0    0x1dfb0    com.apple.kpi.iokit (13.0.0)[[BR]]
    4  114 0xffffff80df4cd000 0xbf40     0xbf40     com.apple.kpi.libkern (13.0.0)[[BR]]
    5  101 0xffffff80df522000 0x2d10     0x2d10     com.apple.kpi.mach (13.0.0)[[BR]]
    6   45 0xffffff80df525000 0x7d40     0x7d40     com.apple.kpi.private (13.0.0)[[BR]]
    7   59 0xffffff80df52d000 0x48e0     0x48e0     com.apple.kpi.unsupported (13.0.0)[[BR]]
    8    2 0xffffff7f807a5000 0x47000    0x47000    com.apple.kec.corecrypto (1.0) <7 6 5 4 3 1>[[BR]]
    9    0 0xffffff7f807ec000 0xb000     0xb000     com.apple.kec.pthread (1) <7 6 5 4 1>[[BR]]
   10   18 0xffffff7f807f7000 0x7000     0x7000     com.apple.iokit.IOACPIFamily (1.4) <7 6 4 3>[[BR]]
   11   27 0xffffff7f807fe000 0x28000    0x28000    com.apple.iokit.IOPCIFamily (2.8) <7 6 5 4 3>[[BR]]
   12    2 0xffffff7f80826000 0x59000    0x59000    com.apple.driver.AppleACPIPlatform (2.0) <11 10 7 6 5 4 3 1>[[BR]]
   13    1 0xffffff7f8087f000 0xa000     0xa000     com.apple.driver.AppleFDEKeyStore (28.30) <8 7 6 5 4 3 1>[[BR]]
   14    0 0xffffff7f80889000 0x2b000    0x2b000    com.apple.driver.AppleIntelCPUPowerManagement (216.0.0) <7 6 5 4 3 1>[[BR]]
   15    0 0xffffff7f808ba000 0x12000    0x12000    com.apple.driver.AppleKeyStore (2) <8 7 6 5 4 3 1>[[BR]]
   16   11 0xffffff7f808cc000 0x25000    0x25000    com.apple.iokit.IOStorageFamily (1.9) <7 6 5 4 3 1>[[BR]]
   17    0 0xffffff7f808f1000 0x18000    0x18000    com.apple.driver.DiskImages (371.1) <16 7 6 5 4 3 1>[[BR]]
   18    1 0xffffff7f80909000 0xf000     0xf000     com.apple.iokit.IOReportFamily (21) <5 4 3>[[BR]]
   19    0 0xffffff7f80918000 0x8000     0x8000     com.apple.nke.applicationfirewall (153) <7 6 5 4 3 1>[[BR]]
   20    2 0xffffff7f80922000 0x5000     0x5000     com.apple.kext.AppleMatch (1.0.0d1) <4 1>[[BR]]
   21    1 0xffffff7f80927000 0x13000    0x13000    com.apple.security.sandbox (278.10) <20 7 6 5 4 3 2 1>[[BR]]
   22    0 0xffffff7f8093a000 0x7000     0x7000     com.apple.security.quarantine (3) <21 20 7 6 5 4 2 1>[[BR]]
   23    0 0xffffff7f80942000 0x3000     0x3000     com.apple.security.TMSafetyNet (7) <7 6 5 4 2 1>[[BR]]
   24    0 0xffffff7f80945000 0x3000     0x3000     com.apple.driver.AppleIntelCPUPowerManagementClient (216.0.0) <7 6 5 4 3 1>[[BR]]
   25    0 0xffffff7f80949000 0x3000     0x3000     com.apple.driver.AppleAPIC (1.7) <4 3>[[BR]]
   26    3 0xffffff7f8094d000 0x3000     0x3000     com.apple.iokit.IOSMBusFamily (1.1) <5 4 3>[[BR]]
   27    0 0xffffff7f80950000 0x7000     0x7000     com.apple.driver.AppleACPIEC (2.0) <26 12 10 5 4 3>[[BR]]
   28    0 0xffffff7f80959000 0x4000     0x4000     com.apple.driver.AppleSMBIOS (2.0) <7 4 3>[[BR]]
   29    7 0xffffff7f8095e000 0x71000    0x71000    com.apple.iokit.IOHIDFamily (2.0.0) <13 7 6 5 4 3 2 1>[[BR]]
   30    0 0xffffff7f809cf000 0x4000     0x4000     com.apple.driver.AppleACPIButtons (2.0) <29 12 10 7 6 5 4 3 1>[[BR]]
   31    0 0xffffff7f809d5000 0x3000     0x3000     com.apple.driver.AppleHPET (1.8) <10 7 5 4 3>[[BR]]
   32    0 0xffffff7f809d9000 0x7000     0x7000     com.apple.driver.AppleRTC (2.0) <10 5 4 3 1>[[BR]]
   33    1 0xffffff7f809e2000 0x4000     0x4000     com.apple.driver.AppleEFIRuntime (2.0) <7 6 5 4 3>[[BR]]
   34    0 0xffffff7f809e6000 0x8000     0x8000     com.apple.driver.AppleSmartBatteryManager (161.0.0) <26 10 5 4 3 1>[[BR]]
   36   16 0xffffff7f809f7000 0x5e000    0x5e000    com.apple.iokit.IOUSBFamily (650.4.4) <11 7 5 4 3 1>[[BR]]
   37    0 0xffffff7f80a55000 0xd000     0xd000     com.apple.driver.AppleUSBOHCI (650.4.1) <36 11 5 4 3 1>[[BR]]
   38    0 0xffffff7f80a66000 0x18000    0x18000    com.apple.driver.AppleUSBEHCI (650.4.1) <36 11 7 5 4 3 1>[[BR]]
   39    0 0xffffff7f80a86000 0xf000     0xf000     com.apple.driver.NVSMU (2.2.9) <11 5 4 3>[[BR]]
   40    3 0xffffff7f80a95000 0x16000    0x16000    com.apple.iokit.IOAHCIFamily (2.6.0) <5 4 3 1>[[BR]]
   41    0 0xffffff7f80aab000 0x1a000    0x1a000    com.apple.driver.AppleAHCIPort (2.9.5) <40 11 5 4 3 1>[[BR]]
   42    0 0xffffff7f80acc000 0x9000     0x9000     com.apple.driver.AppleEFINVRAM (2.0) <33 7 6 5 4 3>[[BR]]
   43    0 0xffffff7f80ad5000 0x3000     0x3000     com.apple.iokit.IOUSBUserClient (650.4.4) <36 7 5 4 3 1>[[BR]]
   44    0 0xffffff7f80ad8000 0x17000    0x17000    com.apple.driver.AppleUSBHub (650.4.4) <36 5 4 3 1>[[BR]]
   45    7 0xffffff7f80af4000 0x2c000    0x2c000    com.apple.iokit.IONetworkingFamily (3.2) <7 6 5 4 3 1>[[BR]]
   46    1 0xffffff7f80b20000 0x7000     0x7000     com.apple.driver.mDNSOffloadUserClient (1.0.1b4) <45 4 3 1>[[BR]]
   47    1 0xffffff7f80b27000 0x5000     0x5000     com.apple.iokit.IOEthernetAVBController (1.0.3b3) <45 5 4 3 1>[[BR]]
   48    0 0xffffff7f80b2c000 0x39000    0x39000    com.apple.iokit.AppleBCM5701Ethernet (3.6.9b9) <47 46 45 11 10 6 5 4 3 1>[[BR]]
   49    2 0xffffff7f80b66000 0x73000    0x73000    com.apple.iokit.IOFireWireFamily (4.5.5) <5 4 3 1>[[BR]]
   50    0 0xffffff7f80bd9000 0x27000    0x27000    com.apple.driver.AppleFWOHCI (4.9.9) <49 11 7 6 5 4 3 1>[[BR]]
   51    1 0xffffff7f80c11000 0x78000    0x78000    com.apple.iokit.IO80211Family (600.34) <45 7 6 5 4 3 1>[[BR]]
   52    0 0xffffff7f80c89000 0x1f4000   0x1f4000   com.apple.driver.AirPort.Brcm4331 (700.20.22) <51 45 11 7 5 4 3 1>[[BR]]
   53    1 0xffffff7f80eb4000 0x6000     0x6000     com.apple.driver.AppleUSBComposite (650.4.0) <36 4 3 1>[[BR]]
   54    0 0xffffff7f80eba000 0x5000     0x5000     com.apple.driver.AppleUSBMergeNub (650.4.0) <53 36 4 3 1>[[BR]]
   55    6 0xffffff7f80ebf000 0x2a000    0x2a000    com.apple.iokit.IOSCSIArchitectureModelFamily (3.6.0) <5 4 3 1>[[BR]]
   56    0 0xffffff7f80ee9000 0xc000     0xc000     com.apple.iokit.IOAHCISerialATAPI (2.6.0) <55 40 5 4 3 1>[[BR]]
   57    0 0xffffff7f80ef5000 0x17000    0x17000    com.apple.iokit.IOAHCIBlockStorage (2.4.0) <40 16 6 5 4 3 1>[[BR]]
   58    0 0xffffff7f808b4000 0x3000     0x3000     com.apple.AppleFSCompression.AppleFSCompressionTypeDataless (1.0.0d1) <7 6 4 3 2 1>[[BR]]
   59    0 0xffffff7f80a7e000 0x4000     0x4000     com.apple.AppleFSCompression.AppleFSCompressionTypeZlib (1.0.0d1) <6 4 3 2 1>[[BR]]
   60    0 0xffffff7f80c00000 0x9000     0x9000     com.apple.BootCache (35) <7 6 5 4 3 1>[[BR]]
   61    0 0xffffff7f80a62000 0x3000     0x3000     com.apple.driver.XsanFilter (404) <16 5 4 3 1>[[BR]]
   62    1 0xffffff7f80e7d000 0x14000    0x14000    com.apple.iokit.IOSCSIBlockCommandsDevice (3.6.0) <55 16 5 4 3 1>[[BR]]
   63    1 0xffffff7f80e91000 0x11000    0x11000    com.apple.iokit.IOUSBMassStorageClass (3.6.0) <55 36 16 5 4 3 1>[[BR]]
   64    0 0xffffff7f80ea2000 0x8000     0x8000     com.apple.driver.AppleUSBCardReader (3.3.5) <63 62 55 36 16 5 4 3 1>[[BR]]
   66    4 0xffffff7f80c09000 0x8000     0x8000     com.apple.iokit.IOUSBHIDDriver (650.4.4) <36 29 5 4 3 1>[[BR]]
   67    0 0xffffff7f80ac5000 0x4000     0x4000     com.apple.driver.AppleUSBTCKeyboard (240.2) <66 36 29 7 6 5 4 3 1>[[BR]]
   68    0 0xffffff7f80eaa000 0x4000     0x4000     com.apple.driver.AppleIRController (325.7) <66 36 29 5 4 3>[[BR]]
   69    3 0xffffff7f80f0c000 0xd000     0xd000     com.apple.iokit.IOCDStorageFamily (1.7.1) <16 5 4 3 1>[[BR]]
   70    2 0xffffff7f80f19000 0xb000     0xb000     com.apple.iokit.IODVDStorageFamily (1.7.1) <69 16 5 4 3 1>[[BR]]
   71    1 0xffffff7f80f24000 0x9000     0x9000     com.apple.iokit.IOBDStorageFamily (1.7) <70 69 16 5 4 3 1>[[BR]]
   72    0 0xffffff7f80f2d000 0x1a000    0x1a000    com.apple.iokit.IOSCSIMultimediaCommandsDevice (3.6.0) <71 70 69 55 16 5 4 3 1>[[BR]]
   73    0 0xffffff7f80f47000 0x7000     0x7000     com.apple.iokit.SCSITaskUserClient (3.6.0) <55 16 5 4 3 1>[[BR]]
   75    0 0xffffff7f80f4e000 0x13000    0x13000    com.apple.driver.AppleUSBMultitouch (240.6) <66 36 29 6 5 4 3 1>[[BR]]
   76    0 0xffffff7f80a82000 0x3000     0x3000     com.apple.driver.AppleUSBTCButtons (240.2) <66 36 29 7 6 5 4 3 1>[[BR]]
   77    1 0xffffff7f80aef000 0x5000     0x5000     com.apple.kext.triggers (1.0) <7 6 5 4 3 1>[[BR]]
   78    0 0xffffff7f80f61000 0x9000     0x9000     com.apple.filesystems.autofs (3.0) <77 7 6 5 4 3 1>[[BR]]
   79    4 0xffffff7f80f6a000 0xe000     0xe000     com.apple.driver.AppleSMC (3.1.6d1) <10 7 5 4 3>[[BR]]
   80    0 0xffffff7f80f78000 0x7000     0x7000     com.apple.driver.SMCMotionSensor (3.0.4d1) <79 5 4 3>[[BR]]
   82   12 0xffffff7f80f7f000 0x37000    0x37000    com.apple.iokit.IOGraphicsFamily (2.3.6) <11 7 5 4 3 1>[[BR]]
   83    2 0xffffff7f80fb6000 0xe000     0xe000     com.apple.driver.AppleSMBusController (1.0.11d1) <26 11 10 5 4 3>[[BR]]
   84    0 0xffffff7f80fc4000 0xd000     0xd000     com.apple.driver.AppleMCCSControl (1.1.12) <83 82 11 10 7 5 4 3 1>[[BR]]
   85    4 0xffffff7f80fd1000 0x8000     0x8000     com.apple.driver.IOPlatformPluginFamily (5.5.1d27) <10 7 6 5 4 3>[[BR]]
   86    0 0xffffff7f80fd9000 0x3000     0x3000     com.apple.driver.AppleLPC (1.7.0) <85 11 5 4 3>[[BR]]
   87    0 0xffffff7f80ac9000 0x3000     0x3000     com.apple.driver.AppleSMBusPCI (1.0.12d1) <11 5 4 3>[[BR]]
   88    1 0xffffff7f80fdc000 0x12000    0x12000    com.apple.driver.IOPlatformPluginLegacy (1.0.0) <85 10 7 6 5 4 3>[[BR]]
   89    0 0xffffff7f80fee000 0x10000    0x10000    com.apple.driver.ACPI_SMC_PlatformPlugin (1.0.0) <88 85 79 11 10 7 6 5 4 3>[[BR]]
   90    0 0xffffff7f80ffe000 0x3000     0x3000     com.apple.driver.AppleHWAccess (1) <7 5 4 3>[[BR]]
   91    0 0xffffff7f81001000 0x5000     0x5000     com.apple.driver.AppleSMCLMU (2.0.4d1) <82 79 5 4 3>[[BR]]
   92    2 0xffffff7f81006000 0xc000     0xc000     com.apple.iokit.IOHDAFamily (2.5.2fc2) <5 4 3 1>[[BR]]
   93    1 0xffffff7f81012000 0x18000    0x18000    com.apple.driver.AppleHDAController (2.5.2fc2) <92 82 11 7 6 5 4 3 1>[[BR]]
   94    0 0xffffff7f8102a000 0xd000     0xd000     com.apple.iokit.IOFireWireIP (2.2.5) <49 45 5 4 3 1>[[BR]]
   95    1 0xffffff7f81037000 0x1b000    0x1b000    com.apple.iokit.IOBluetoothHostControllerUSBTransport (4.2.0f6) <36 11 10 7 5 4 3 1>[[BR]]
   96    0 0xffffff7f81052000 0x7000     0x7000     com.apple.iokit.BroadcomBluetoothHostControllerUSBTransport (4.2.0f6) <95 36 11 10 7 5 4 3>[[BR]]
   97    6 0xffffff7f81059000 0xe000     0xe000     com.apple.iokit.IONDRVSupport (2.3.6) <82 11 7 5 4 3>[[BR]]
   98    1 0xffffff7f81067000 0x5000     0x5000     com.apple.driver.AppleBacklightExpert (1.0.4) <97 82 11 5 4 3>[[BR]]
   99    0 0xffffff7f8106c000 0x5000     0x5000     com.apple.driver.AppleBacklight (170.3.5) <98 97 82 11 5 4 3>[[BR]]
  100    0 0xffffff7f81071000 0x16000    0x16000    com.apple.driver.AppleMikeyDriver (2.5.2fc2) <83 10 5 4 3 1>[[BR]]
  101    0 0xffffff7f81087000 0x5000     0x5000     com.apple.Dont_Steal_Mac_OS_X (7.0.0) <79 7 4 3 1>[[BR]]
  102    2 0xffffff7f8108c000 0x11000    0x11000    com.apple.kext.OSvKernDSPLib (1.14) <5 4>[[BR]]
  103    3 0xffffff7f8109d000 0x2f000    0x2f000    com.apple.iokit.IOAudioFamily (1.9.4fc11) <102 5 4 3 1>[[BR]]
  104    1 0xffffff7f810cc000 0x2f000    0x2f000    com.apple.vecLib.kext (1.0.0) <6 5 4 3>[[BR]]
  105    1 0xffffff7f810fb000 0xca000    0xca000    com.apple.driver.DspFuncLib (2.5.2fc2) <104 103 102 6 5 4 3 1>[[BR]]
  106    0 0xffffff7f811c5000 0x8f000    0x8f000    com.apple.driver.AppleHDA (2.5.2fc2) <105 103 97 93 92 82 6 5 4 3 1>[[BR]]
  108    2 0xffffff7f81254000 0x26f000   0x26f000   com.apple.nvidia.classic.NVDAResmanTesla (8.1.8) <97 82 11 5 4 3 1>[[BR]]
  109    0 0xffffff7f814c3000 0x2ad000   0x2ad000   com.apple.nvidia.classic.NVDANV50HalTesla (8.1.8) <108 11 4 3>[[BR]]
  110    0 0xffffff7f81770000 0xcb000    0xcb000    com.apple.GeForceTesla (8.1.8) <108 97 82 11 7 6 5 4 3 1>[[BR]]
  113    0 0xffffff7f81851000 0x3000     0x3000     com.apple.driver.AppleMikeyHIDDriver (124) <29 7 4 3 1>[[BR]]
  114    0 0xffffff7f81854000 0x9d000    0x9d000    com.apple.iokit.IOBluetoothFamily (4.2.0f6) <36 18 7 5 4 3 1>[[BR]]
  117    1 0xffffff7f818fc000 0x4000     0x4000     com.apple.AppleGraphicsDeviceControl (3.4.12) <7 6 5 4 3 1>[[BR]]
  118    0 0xffffff7f81900000 0x12000    0x12000    com.apple.driver.AGPM (100.14.11) <117 97 85 82 11 5 4 3>[[BR]]
  119    0 0xffffff7f81912000 0x5000     0x5000     com.apple.driver.AppleUpstreamUserClient (3.5.13) <82 11 10 7 5 4 3 1>[[BR]]
  120    1 0xffffff7f81917000 0xe000     0xe000     com.apple.iokit.IOSerialFamily (10.0.7) <7 6 5 4 3 1>[[BR]]
  121    0 0xffffff7f81925000 0xa000     0xa000     com.apple.iokit.IOBluetoothSerialManager (4.2.0f6) <120 7 5 4 3 1>[[BR]]
  122    0 0xffffff7f8192f000 0x12000    0x12000    com.apple.iokit.IOSurface (91) <7 5 4 3 1>[[BR]]
  123    0 0xffffff7f81941000 0x7000     0x7000     com.apple.iokit.IOUserEthernet (1.0.0d1) <45 6 5 4 3 1>[[BR]]
  124    0 0xffffff7f81948000 0x45000    0x45000    org.virtualbox.kext.VBoxDrv (4.3.2) <7 5 4 3 1>[[BR]]
  125    0 0xffffff7f8198d000 0x5000     0x5000     com.apple.driver.AppleHWSensor (1.9.5d0) <5 4 3>[[BR]]
  126    0 0xffffff7f81992000 0x5000     0x5000     com.apple.driver.AudioAUUC (1.60) <103 82 11 10 7 5 4 3 1>[[BR]]
  130    0 0xffffff7f819aa000 0x11000    0x11000    org.fuse4x.kext.fuse4x (0.9.2) <7 5 4 3 1>[[BR]]
  132    0 0xffffff7f8183b000 0xd000     0xd000     com.apple.nke.asp-tcp (8.0.0) <7 6 5 4 3 1>[[BR]]
  133    1 0xffffff7f819bb000 0x11000    0x11000    com.apple.security.SecureRemotePassword (1.0) <4 1>[[BR]]
  134    0 0xffffff7f819cc000 0x4f000    0x4f000    com.apple.filesystems.afpfs (11.0) <133 7 6 5 4 3 1>[[BR]]
Last edited 21 months ago by galitsyn (previous) (diff)

comment:23 Changed 21 months ago by johnross.j.c

As for sudo /Library/Application\ Support/VirtualBox/LaunchDaemons/VirtualBoxStartup.sh restart

Unloading VBoxDrv.kex
(kernel) Can't remove kext org.virtualbox.kext.VBoxDrv; services failed to terminate - 0xe00002c7.
Failed to unload org.virtualbox.kext.VBoxDrv - (iokit/common) unsupported function.
Error: Failed to unload VBoxDrv.kext
Fatal error: VirtualBox

comment:24 Changed 21 months ago by galitsyn

It looks very likely that you have VBox process(es) running while attempting to unload VBoxDrv.kext.

Please check ps -Af | grep -i vbox output and if there are some processes just do pkill -9 VBox. Then re-do sudo /Library/Application\ Support/VirtualBox/LaunchDaemons/VirtualBoxStartup.sh restart.

comment:25 Changed 21 months ago by hanxue

Following this issue - affecting Vagrant on OS X Mavericks  https://github.com/mitchellh/vagrant/issues/1671

comment:26 Changed 20 months ago by johnross.j.c

sudo /Library/Application\ Support/VirtualBox/LaunchDaemons/VirtualBoxStartup.sh restart

fixed it after machine reboot. It has to do with locked VBox kext.

comment:27 follow-up: ↓ 28 Changed 15 months ago by konrad

I do have a problem which results in the same but is caused by a crash during startup. I attach several crash dumps here. The crash during the start of the machine causes the kernel drivers not to be available. A complete uninstallation and reinstallation of 4.3.10 did not fix the issue. I use Mac OS X 10.9.2.

Last edited 15 months ago by konrad (previous) (diff)

Changed 15 months ago by konrad

Crash during start of 4.3.10

Changed 15 months ago by konrad

Another crash of 4.3.10 during start

comment:28 in reply to: ↑ 27 ; follow-up: ↓ 29 Changed 15 months ago by galitsyn

Replying to konrad:

I do have a problem which results in the same but is caused by a crash during startup. I attach several crash dumps here. The crash during the start of the machine causes the kernel drivers not to be available. A complete uninstallation and reinstallation of 4.3.10 did not fix the issue. I use Mac OS X 10.9.2.

Could you please attach VBox.log?

comment:29 in reply to: ↑ 28 ; follow-up: ↓ 30 Changed 15 months ago by konrad

Replying to galitsyn:

Replying to konrad:

I do have a problem which results in the same but is caused by a crash during startup. I attach several crash dumps here. The crash during the start of the machine causes the kernel drivers not to be available. A complete uninstallation and reinstallation of 4.3.10 did not fix the issue. I use Mac OS X 10.9.2.

Could you please attach VBox.log?

This crash does not happen when I try to start a virtual machine, but rather when booting my computer. I assume that somehow the VirtualBox is started during the start process of the host machine (to load some kernel drivers or something else). This fails and therefore the kernel drivers are not available. Which log file can I attach to help you identify the issue?

comment:30 in reply to: ↑ 29 Changed 15 months ago by galitsyn

Replying to konrad:

Replying to galitsyn:

Replying to konrad:

I do have a problem which results in the same but is caused by a crash during startup. I attach several crash dumps here. The crash during the start of the machine causes the kernel drivers not to be available. A complete uninstallation and reinstallation of 4.3.10 did not fix the issue. I use Mac OS X 10.9.2.

Could you please attach VBox.log?

This crash does not happen when I try to start a virtual machine, but rather when booting my computer. I assume that somehow the VirtualBox is started during the start process of the host machine (to load some kernel drivers or something else). This fails and therefore the kernel drivers are not available. Which log file can I attach to help you identify the issue?

VirtualBox app do not start within /Library/Application Support/VirtualBox/LaunchDaemons/VirtualBoxStartup.sh script which is used by /Library/LaunchDaemons/org.virtualbox.startup.plist in order to load kernel extensions on system boot. I presume that OS X attempts to relaunch the app on startup because it was running before you reboot (therefore, I think the issue you are observing is not related to this topic directly).

Probably, VM selector is crashing. In this case might make sense to upload /Users/<user>/Library/VirtualBox/selectorwindow.log file. Also, could you please specify VBox revision number in order to make me able to match crash report with the code (r93012 looks like not the revision you are running).

comment:31 follow-up: ↓ 32 Changed 14 months ago by konrad

You are right, Mac tried to restart Virtualbox because it was started before. When Virtualbox was not running during the shutdown I no longer get the crash during start, but still the kernel drivers are not loaded. I attached the VBoxSVC.log. What can I check to make sure the kernel drivers are installed and loaded correctly? Manually executing sudo /Library/Application\ Support/VirtualBox/LaunchDaemons/VirtualBoxStartup.sh restart. does the trick, but I would assume, that the installer should register that script to be executed at each machine start. What is wrong there?

Last edited 14 months ago by konrad (previous) (diff)

Changed 14 months ago by konrad

comment:32 in reply to: ↑ 31 Changed 14 months ago by galitsyn

Replying to konrad:

Firsts of all, could you please confirm that the crash report you attached corresponds to r93733 (revision from VBoxSVC.log)?

What can I check to make sure the kernel drivers are installed and loaded correctly? I would assume, that the installer should register that script to be executed at each machine start. What is wrong there?

Installer puts a .plist file into

/Library/Application Support/VirtualBox/LaunchDaemons/org.virtualbox.startup.plist

and a symlink to it into

/Library/LaunchDaemons/org.virtualbox.startup.plist

which in turn tells to launchd to execute

/Library/Application Support/VirtualBox/LaunchDaemons/VirtualBoxStartup.sh

on a system start. Could you please confirm if org.virtualbox.startup.plist and its symlink are in place?

It is also might make sense to look into /var/log/system.log. Could you please attach it?

comment:33 Changed 14 months ago by konrad

Some more observations: The plist is correctly symlinked

lrwxr-xr-x 1 root wheel 76 May 21 16:51 org.virtualbox.startup.plist -> ../Application Support/VirtualBox/LaunchDaemons/org.virtualbox.startup.plist

There is no crash file during startup nor a VBoxSVC.log when VirtualBox is not running during shutdown. To me it just seems that the VirtualBoxStartup.sh is just not triggered. Do you have any idea why? Triggering it manually does work.

comment:34 Changed 14 months ago by galitsyn

Do you have any idea why?

/var/log/system.log might help to find the answer to this question.

I understand there is no crash currently, but still need the revision number in order to prevent such crashes in future.

comment:35 Changed 14 months ago by konrad

It is saying: May 23 16:23:42 Konrads-MBP-Netcentric com.apple.launchd[1] (org.virtualbox.startup[85]): Exited with code: 1 Also I attached a new crash file (when trying to start a VM when the kernel drivers have not been loaded), which refers to VirtualBox 4.3.12 r93733.

Last edited 14 months ago by konrad (previous) (diff)

Changed 14 months ago by konrad

New Crash of VirtualBox 4.3.12

comment:36 Changed 14 months ago by galitsyn

Could you please replace

/Library/Application Support/VirtualBox/LaunchDaemons/VirtualBoxStartup.sh

with the file attached below and submit launchd error from /var/log/system.log again?

Changed 14 months ago by galitsyn

Instrumented startup script

comment:37 follow-up: ↓ 40 Changed 14 months ago by konrad

It just says:

May 27 11:19:37 Konrads-MBP-Netcentric com.apple.launchd[1] (org.virtualbox.startup[85]): Job failed to exec(3) for weird reason: 13

Do you have any other suggestions?

Last edited 14 months ago by konrad (previous) (diff)

comment:38 Changed 14 months ago by konrad

Both the /Library/LaunchDaemons/org.virtualbox.startup.plist and /Application Support/VirtualBox/LaunchDaemons/org.virtualbox.startup.plist have the execution flag set for all users (user, group, other)

comment:39 Changed 14 months ago by konrad

And this is the output of ls -l in /Applications/VirtualBox.app/Contents/MacOS

total 452784
drwxr-xr-x  108 root  admin      3672 May 23 16:23 .
drwxr-xr-x    9 root  admin       306 May 21 16:51 ..
drwxr-xr-x    3 root  admin       102 May 21 16:51 ExtensionPacks
-rw-r--r--    1 root  admin   6276107 May 16 15:19 UserManual.pdf
-rwxr-xr-x    1 root  admin     52592 May 16 15:20 VBoxAuth.dylib
-rwxr-xr-x    1 root  admin    101168 May 16 15:20 VBoxAuthSimple.dylib
-rwxr-xr-x    2 root  admin    135472 May 16 15:20 VBoxAutostart
-rwxr-xr-x    2 root  admin    135472 May 16 15:20 VBoxAutostart-amd64
-rwxr-xr-x    1 root  admin    122528 May 16 15:20 VBoxAutostart-x86
-rwxr-xr-x    1 root  admin      2041 May 16 15:19 VBoxAutostartDarwin.sh
-rwxr-xr-x    2 root  admin    191344 May 16 15:20 VBoxBalloonCtrl
-rwxr-xr-x    2 root  admin    191344 May 16 15:20 VBoxBalloonCtrl-amd64
-rwxr-xr-x    1 root  admin    178336 May 16 15:20 VBoxBalloonCtrl-x86
-rwxr-xr-x    1 root  admin   4896208 May 16 15:20 VBoxDD.dylib
-rwxr-xr-x    1 root  admin    419056 May 16 15:20 VBoxDD2.dylib
-rw-r--r--    2 root  admin     17000 May 16 15:20 VBoxDD2GC.gc
-rw-r--r--    2 root  admin     17000 May 16 15:20 VBoxDD2GC.gc-amd64
-rw-r--r--    1 root  admin      4528 May 16 15:20 VBoxDD2GC.gc-amd64.codesign
-rw-r--r--    1 root  admin     17000 May 16 15:20 VBoxDD2GC.gc-x86
-rw-r--r--    1 root  admin      4526 May 16 15:20 VBoxDD2GC.gc-x86.codesign
-rw-r--r--    1 root  admin     44160 May 16 15:20 VBoxDD2R0.r0
-rw-r--r--    1 root  admin      4522 May 16 15:20 VBoxDD2R0.r0.codesign
-rw-r--r--    2 root  admin    168668 May 16 15:20 VBoxDDGC.gc
-rw-r--r--    2 root  admin    168668 May 16 15:20 VBoxDDGC.gc-amd64
-rw-r--r--    1 root  admin      4527 May 16 15:20 VBoxDDGC.gc-amd64.codesign
-rw-r--r--    1 root  admin    168372 May 16 15:20 VBoxDDGC.gc-x86
-rw-r--r--    1 root  admin      4525 May 16 15:20 VBoxDDGC.gc-x86.codesign
-rw-r--r--    1 root  admin    418528 May 16 15:20 VBoxDDR0.r0
-rw-r--r--    1 root  admin      4521 May 16 15:20 VBoxDDR0.r0.codesign
-rwxr-xr-x    1 root  admin    747920 May 16 15:20 VBoxDDU.dylib
-rwxr-xr-x    1 root  admin    241632 May 16 15:20 VBoxDbg.dylib
-rwxr-xr-x    1 root  admin    123680 May 16 15:20 VBoxDragAndDropSvc.dylib
-rw-r--r--    1 root  admin   1048576 May 16 15:19 VBoxEFI32.fd
-rw-r--r--    1 root  admin   1048576 May 16 15:19 VBoxEFI64.fd
-rwxr-xr-x    2 root  admin     75232 May 16 15:20 VBoxExtPackHelperApp
-rwxr-xr-x    2 root  admin     75232 May 16 15:20 VBoxExtPackHelperApp-amd64
-rwxr-xr-x    1 root  admin     74480 May 16 15:20 VBoxExtPackHelperApp-x86
-rw-r--r--    1 root  admin  64770048 May 16 15:19 VBoxGuestAdditions.iso
-rwxr-xr-x    1 root  admin     73680 May 16 15:20 VBoxGuestControlSvc.dylib
-rwxr-xr-x    1 root  admin    106784 May 16 15:20 VBoxGuestPropSvc.dylib
-rwsr-xr-x    2 root  admin     36992 May 16 15:20 VBoxHeadless
-rwsr-xr-x    2 root  admin     36992 May 16 15:20 VBoxHeadless-amd64
-rwsr-xr-x    1 root  admin     36864 May 16 15:20 VBoxHeadless-x86
-rwxr-xr-x    1 root  admin    290528 May 16 15:20 VBoxHeadless.dylib
-rwxr-xr-x    1 root  admin     63840 May 16 15:20 VBoxHostChannel.dylib
-rwxr-xr-x    2 root  admin   1216592 May 16 15:20 VBoxManage
-rwxr-xr-x    2 root  admin   1216592 May 16 15:20 VBoxManage-amd64
-rwxr-xr-x    1 root  admin   1215632 May 16 15:20 VBoxManage-x86
-rwsr-xr-x    2 root  admin     23696 May 16 15:20 VBoxNetAdpCtl
-rwsr-xr-x    2 root  admin     23696 May 16 15:20 VBoxNetAdpCtl-amd64
-rwsr-xr-x    1 root  admin     23552 May 16 15:20 VBoxNetAdpCtl-x86
-rwsr-xr-x    2 root  admin     36992 May 16 15:20 VBoxNetDHCP
-rwsr-xr-x    2 root  admin     36992 May 16 15:20 VBoxNetDHCP-amd64
-rwsr-xr-x    1 root  admin     36864 May 16 15:20 VBoxNetDHCP-x86
-rwxr-xr-x    1 root  admin    319392 May 16 15:20 VBoxNetDHCP.dylib
-rwsr-xr-x    2 root  admin     36992 May 16 15:20 VBoxNetNAT
-rwsr-xr-x    2 root  admin     36992 May 16 15:20 VBoxNetNAT-amd64
-rwsr-xr-x    1 root  admin     36864 May 16 15:20 VBoxNetNAT-x86
-rwxr-xr-x    1 root  admin    570800 May 16 15:20 VBoxNetNAT.dylib
-rwxr-xr-x    1 root  admin    405680 May 16 15:20 VBoxOGLhostcrutil.dylib
-rwxr-xr-x    1 root  admin    256080 May 16 15:20 VBoxOGLhosterrorspu.dylib
-rwxr-xr-x    1 root  admin    310208 May 16 15:20 VBoxOGLrenderspu.dylib
-rw-r--r--    1 root  admin    221440 May 16 15:20 VBoxPython2_5.so
-rwxr-xr-x    1 root  admin    469424 May 16 15:20 VBoxPython2_6.so
-rwxr-xr-x    1 root  admin    477808 May 16 15:20 VBoxPython2_7.so
-rwxr-xr-x    1 root  admin    628624 May 16 15:20 VBoxREM.dylib
-rw-r--r--    1 root  admin    498736 May 16 15:20 VBoxREM32.dylib
-rw-r--r--    1 root  admin    597664 May 16 15:20 VBoxREM64.dylib
-rwxr-xr-x    1 root  admin   7725104 May 16 15:20 VBoxRT.dylib
-rwxr-xr-x    2 root  admin   3811312 May 16 15:20 VBoxSVC
-rwxr-xr-x    2 root  admin   3811312 May 16 15:20 VBoxSVC-amd64
-rwxr-xr-x    1 root  admin   3616032 May 16 15:20 VBoxSVC-x86
-rwxr-xr-x    1 root  admin     90832 May 16 15:20 VBoxSharedClipboard.dylib
-rwxr-xr-x    1 root  admin   2130832 May 16 15:20 VBoxSharedCrOpenGL.dylib
-rwxr-xr-x    1 root  admin    116912 May 16 15:20 VBoxSharedFolders.dylib
-rwxr-xr-x    1 root  admin   5227088 May 16 15:20 VBoxVMM.dylib
-rwxr-xr-x    1 root  admin   1964640 May 16 15:20 VBoxXPCOM.dylib
-rwxr-xr-x    1 root  admin    143424 May 16 15:20 VBoxXPCOMC.dylib
-rwxr-xr-x    2 root  admin     46352 May 16 15:20 VBoxXPCOMIPCD
-rwxr-xr-x    2 root  admin     46352 May 16 15:20 VBoxXPCOMIPCD-amd64
-rwxr-xr-x    1 root  admin     46160 May 16 15:20 VBoxXPCOMIPCD-x86
-rw-r--r--    2 root  admin   1101716 May 16 15:20 VMMGC.gc
-rw-r--r--    2 root  admin   1101716 May 16 15:20 VMMGC.gc-amd64
-rw-r--r--    1 root  admin      4524 May 16 15:20 VMMGC.gc-amd64.codesign
-rw-r--r--    1 root  admin   1098748 May 16 15:20 VMMGC.gc-x86
-rw-r--r--    1 root  admin      4522 May 16 15:20 VMMGC.gc-x86.codesign
-rw-r--r--    1 root  admin   3130560 May 16 15:20 VMMR0.r0
-rw-r--r--    1 root  admin      4518 May 16 15:20 VMMR0.r0.codesign
-rwsr-xr-x    2 root  admin     37008 May 16 15:20 VirtualBox
-rwsr-xr-x    2 root  admin     37008 May 16 15:20 VirtualBox-amd64
-rwsr-xr-x    1 root  admin     36880 May 16 15:20 VirtualBox-x86
-rwxr-xr-x    1 root  admin  15194096 May 16 15:20 VirtualBox.dylib
-rwsr-xr-x    2 root  admin     36992 May 16 15:20 VirtualBoxVM
-rwsr-xr-x    2 root  admin     36992 May 16 15:20 VirtualBoxVM-amd64
-rwsr-xr-x    1 root  admin     36864 May 16 15:20 VirtualBoxVM-x86
drwxr-xr-x    3 root  admin       102 May 16 15:20 accessible
drwxr-xr-x    7 root  admin       238 May 16 15:20 components
-rwxr-xr-x    1 root  admin    326336 May 16 15:20 libvboxjxpcom.jnilib
drwxr-xr-x   46 root  admin      1564 May 16 15:19 nls
-rw-r--r--    1 root  admin       542 May 16 15:19 org.virtualbox.vboxautostart.plist
-rw-r--r--    1 root  admin       423 May 16 15:19 org.virtualbox.vboxballoonctrl.plist
-rw-r--r--    1 root  admin       677 May 16 15:19 org.virtualbox.vboxwebsrv.plist
drwxr-xr-x    4 root  admin       136 May 16 15:19 sdk
-rwxr-xr-x    1 root  admin    120858 May 16 15:19 vboxshell.py
-rwxr-xr-x    2 root  admin  30026608 May 16 15:20 vboxwebsrv
-rwxr-xr-x    2 root  admin  30026608 May 16 15:20 vboxwebsrv-amd64
-rwxr-xr-x    1 root  admin  29082512 May 16 15:20 vboxwebsrv-x86
-rwxr-xr-x    1 root  admin     64848 May 16 15:20 vmstarter

comment:40 in reply to: ↑ 37 Changed 14 months ago by galitsyn

Replying to konrad:

It just says:

May 27 11:19:37 Konrads-MBP-Netcentric com.apple.launchd[1] (org.virtualbox.startup[85]): Job failed to exec(3) for weird reason: 13

Do you have any other suggestions?

There seems to be a problem with VBoxUSB.kext loading. Does /var/log/system.log contain any related message?

comment:41 follow-up: ↓ 42 Changed 14 months ago by konrad

Unfortunately not. The line before and afterwards are not related to virtualbox and looking for "virtualbox" and "VBoxUSB" did no lead to any results. The error 13 always has something to do with access rights ( http://superuser.com/questions/478768/running-app-on-macosx-mountain-lion-job-failed-to-exec3-for-weird-reason-13). Which file exactly is executed there? Do you want me to check some more execute flags?

comment:42 in reply to: ↑ 41 Changed 14 months ago by konrad

Replying to konrad:

Unfortunately not. The line before and afterwards are not related to virtualbox and looking for "virtualbox" and "VBoxUSB" did no lead to any results. The error 13 always has something to do with access rights ( http://superuser.com/questions/478768/running-app-on-macosx-mountain-lion-job-failed-to-exec3-for-weird-reason-13). Which file exactly is executed there? Do you want me to check some more execute flags?

I was wrong. The error 13 was indeed due to missing execute rights on the VirtualBoxStartup.sh (I must have done something wrong previously). Now (after fixing the execute rights) even with the instrumented startup script I get the following output

May 27 14:12:09 Konrads-MBP-Netcentric com.apple.launchd[1] (org.virtualbox.startup[92]): Exited with code: 1

Nothing else.

comment:43 Changed 14 months ago by galitsyn

Could you please try the next instrumented VirtualBoxStartup.sh and check system.log again and attach /tmp/vboxdebug.txt file?

Changed 14 months ago by galitsyn

Extra instrumentation for startup script.

comment:44 Changed 14 months ago by konrad

Thanks a lot. Now it says

Jun  2 19:54:42 Konrads-MBP-Netcentric com.apple.launchd[1] (org.virtualbox.startup[91]): Exited with code: 15

And vboxdebug.txt contains

Loading VBoxDrv.kext
Error: Failed to load /Library/Application Support/VirtualBox/VBoxDrv.kext
Loading VBoxUSB.kext
Error: Failed to load /Library/Application Support/VirtualBox/VBoxUSB.kext
Loading VBoxNetFlt.kext
Error: Failed to load /Library/Application Support/VirtualBox/VBoxNetFlt.kext
Loading VBoxNetAdp.kext
Error: Failed to load /Library/Application Support/VirtualBox/VBoxNetAdp.kext
-f VirtualBox

Don't know why that is. The list view on /Library/Application Support/VirtualBox/ shows

drwxr-xr-x   7 root  wheel  238 May 21 16:51 .
drwxr-xr-x  22 root  admin  748 May  6 14:37 ..
drwxr-xr-x   6 root  wheel  204 Jun  2 19:51 LaunchDaemons
drwxr-xr-x   3 root  wheel  102 May 16 15:19 VBoxDrv.kext
drwxr-xr-x   3 root  wheel  102 May 16 15:19 VBoxNetAdp.kext
drwxr-xr-x   3 root  wheel  102 May 16 15:19 VBoxNetFlt.kext
drwxr-xr-x   3 root  wheel  102 May 16 15:19 VBoxUSB.kext
Last edited 14 months ago by konrad (previous) (diff)

comment:45 Changed 14 months ago by galitsyn

If VBoxDrv.kext was failed to load, there should be a corresponding message in system.log. Could you please spot and attach it? Btw, in order to speed up the solution of the issue you are facing It is really might make sense to attach entire system.log.

comment:46 Changed 14 months ago by konrad

Attached is the complete system.log of a computer restart. The only line referring to Virtualbox is the one I pasted above. vboxdebug.txt is the same as written above.

Changed 14 months ago by konrad

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use